import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';
import { HttpClient, HttpHeaders } from '@angular/common/http';
let header = new HttpHeaders();
header = header.set('Content-Type', 'application/json; charset=utf-8');
@Injectable({
  providedIn: 'root'
})
export class texttelescopeservice {
    baseUrl: string = environment.serviceUrl;
    constructor(private httpClient: HttpClient) { }

    GetLobAll(): Observable<any> {
        return this.httpClient.get<any>(this.baseUrl + 'api/ReportApi/Getloball');
    }    
    getDataForDownload(exportRecord: any[]): Observable<any> { 
      return this.httpClient.post<any>(this.baseUrl + 'api/ReportApi/GetAnswerData',
      exportRecord, { observe: 'response' });
    }
}